phone_loop_search_s Struct Reference

Phone loop search structure. More...

`#include <phone_loop_search.h>`

## Data Fields

ps_search_t | base
| Base search structure.
hmm_t * | hmms
| Basic HMM structures for CI phones.
hmm_context_t * | hmmctx
| HMM context structure.
int16 | frame
| Current frame being searched.
int16 | n_phones
| Size of phone array.
int32 ** | pen_buf
| Penalty buffer.
int16 | pen_buf_ptr
| Pointer for frame to fill in penalty buffer.
int32 * | penalties
| Penalties for CI phones in current frame.
float64 | penalty_weight
| Weighting factor for penalties.
int32 | best_score
| Best Viterbi score in current frame.
int32 | beam
| HMM pruning beam width.
int32 | pbeam
| Phone exit pruning beam width.
int32 | pip
| Phone insertion penalty ("language score").
int | window
| Window size for phoneme lookahead.
glist_t | renorm
| List of renormalizations.

## Detailed Description

Phone loop search structure.

Definition at line 72 of file phone_loop_search.h.

## Field Documentation

## base

ps_search_t phone_loop_search_s::base

Base search structure.

Definition at line 73 of file phone_loop_search.h.

## beam

int32 phone_loop_search_s::beam

HMM pruning beam width.

Definition at line 84 of file phone_loop_search.h.

## best_score

int32 phone_loop_search_s::best_score

Best Viterbi score in current frame.

Definition at line 83 of file phone_loop_search.h.

## frame

int16 phone_loop_search_s::frame

Current frame being searched.

Definition at line 76 of file phone_loop_search.h.

## hmmctx

hmm_context_t* phone_loop_search_s::hmmctx

HMM context structure.

Definition at line 75 of file phone_loop_search.h.

## hmms

hmm_t* phone_loop_search_s::hmms

Basic HMM structures for CI phones.

Definition at line 74 of file phone_loop_search.h.

## n_phones

int16 phone_loop_search_s::n_phones

Size of phone array.

Definition at line 77 of file phone_loop_search.h.

## pbeam

int32 phone_loop_search_s::pbeam

Phone exit pruning beam width.

Definition at line 85 of file phone_loop_search.h.

## pen_buf

int32** phone_loop_search_s::pen_buf

Penalty buffer.

Definition at line 78 of file phone_loop_search.h.

## pen_buf_ptr

int16 phone_loop_search_s::pen_buf_ptr

Pointer for frame to fill in penalty buffer.

Definition at line 79 of file phone_loop_search.h.

## penalties

int32* phone_loop_search_s::penalties

Penalties for CI phones in current frame.

Definition at line 80 of file phone_loop_search.h.

## penalty_weight

float64 phone_loop_search_s::penalty_weight

Weighting factor for penalties.

Definition at line 81 of file phone_loop_search.h.

## pip

int32 phone_loop_search_s::pip

Phone insertion penalty ("language score").

Definition at line 86 of file phone_loop_search.h.

## renorm

glist_t phone_loop_search_s::renorm

List of renormalizations.

Definition at line 88 of file phone_loop_search.h.

## window

int phone_loop_search_s::window

Window size for phoneme lookahead.

Definition at line 87 of file phone_loop_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/phone_loop_search.h